myAVR ProgTool version 1.20

This help is using with the german software of the myAVR ProgTool version 1.20. This help doesn`t include any pictures of the myAVR ProgTool, it's just a support with handling of this tool. This assistance is based upon the german words, for example by buttons.

Index

  • Introduction and general information
  • Burning
    • Burning of the flash
    • Burning of the EEPROM
    • Burning of the fuses
  • Fuse- and lock-bits
  • Readout
  • Hardware
  • Output
  • Integration in the AVR studio
  • Problem handling
  • Version
  • Contact

Introduction and general information

The myAVR ProgTool is a free tool to program AVR microcontrollers. You can program comfortable the program memory, the EEPROM and the fuse and lock-bits of the supported AVR microcontrollers.
You will find the actually version of these programs in the download of www.myAVR.de. You can copy and distribute this tool in any way. The functions of this tool are extractions of the myAVR products which are protected by a license.
The tool will be permanently refined. An important function is the option for command lines. This function will be available in the next version. You can also send ideas and suggestions to support@myAVR.de.

to the index

Burning

The content of the selected data will be shown in the bottom area of the window. The contents of the input fields remains after closing and are available again after the opening of the tool.

Signal colors:

  • reddish filled file input field: file doesn't exist
  • bluish filled file input field: file exists
  • gray text: element inactive

Burning of the flash

At first activate "Flash brennen". Then choose the required file (*.elf, *.hex, *.raw, *.bin) with the "Suchen ..." button. You can also fill in the file name manual per hand.

If you choose an *.elf-file which e.g. will be built with WinAVR then happens an automatic conversion in the Intel-HEX-format. Are the sections ".eeprom", ".fuses" or ".lock" contained in the elf-file then these sections are extracted and used as values for EEPROM and the fuses.

Burning of the EEPROM

At first activate "EEPROM brennen". Then choose the required file (*.eep, *.elf, *hex, *.raw, *.bin, *.txt) with the "Suchen ..." button. You can also fill in the file name manual per hand.

Burning of the fuses

At first activate "Fuses brennen" and the required fuses (low-, high- and extended fuse as well as lock-bits). Then fill in the hexadecimal values according to the datasheets of the microcontroller which is programmed. You can also set the values via the "Bearbeiten" button. The Field "ohne Sicherheitsabfrage" means that the system don`t ask you about the security. If you want it then activate this field.

to the index

Fuse- and lock-bits

You get the fuse and lock-bits configuration on the page "Brennen" with the button "Bearbeiten".

In a list view you can configurate the fuse and lock-bits after your requirements. For that you have to select the correct controller in the tab "Hardware". If you want to readout the actually values or change them then you also have to set and connect the correct programmer.

Please note: It can be that the microcontroller can't be programmable or reachable if you use faulty settings of the fuse and lock bits.

to the index

Readout

Please, click on the next index card "Auslesen". To readout the correct hardware (controller and programmer) must be setted by the link "anpassen". You see the actually settings in the header of the page.

Readout the data of the flash or EEPROM memory by activate the respective button "Auslesen". This action can takes longer according to the memory size. The complete memory will be readout. Please be patient.
After a successfully readout the read data will be shown. Memory areas at the end of the data which are not used will be removed from the display.

You can save the readout data in a file by the button "Speichern". The saving happens in a Intel-HEX-format.

to the index

Hardware

Choose always the correct programming hardware and the correct type of the controller before you start to burn on the index card "Hardware". The settings will be saved by closing the tool and are available when you open it again.

With the buttons "Test" or "?" you can find out the actually controller and the port which is used.

Signal colors:

  • yellow: test runs
  • green: test was successfully
  • red: test is failed

Programmer:
  • mySmartUSB MK3 / myAVR Board MK3:
    • USB driver must be installed (CP210X)
    • mySmartUSB MK3 must be connected with a myAVR board USB MK3 or myAVR Board USB MK2 and the computer
    • Power supply of the target hardware must be on
    • Virtual COM-Port (COMx) must be active
    • The controller which is used can be found out via "Test" or fill it manual per hand

  • mySmartUSB MK2 / myAVR Board MK2 USB / myMultiProg MK2 USB:
    • USB driver must be installed (CP210X)
    • mySmartUSB MK2 must be connected
    • Virtual COM-Port (COMx) must be active
    • Port settings are not necessary because the programmer will be found automatically
    • Target hardware is supplied with power through the mySmartUSB MK2
    • The controller which is used can be found out via "Test" or fill it manual per hand

  • myAVR Board MK1 LPT / myMultiProg MK1 (LPT):
    • LPT cable must be connected
    • Board must be connected
    • Maybe connect the external power supply
    • The correct LPT port must be entered in the field "Anschluss"
    • The connection and controller which is used can be found out and checked via "?" or fill it manual per hand

  • myAVR Bootloader:
    • USB driver must be installed (CP210X)
    • device must be connected (either mySmartControl or myAVRStamp)
    • Power supply of the target hardware must be on
    • Virtual COM-Port (COMx) must be active
    • The controller which is used can be found out via "Test" or fill it manual per hand

  • STK 500:
    • Board must be connected on a COM port
    • External power supply must be connected
    • Board must be connected (power)
    • ISP pin must be connected
    • Correct COM port must be entered in the field "Anschluss"
    • The connection is not automatically determined

  • AVR ISP mk-II:
    • LIB-USB-driver must be installed
    • AVR ISP mk-II must be connected
    • Power supply of the target hardware must be on
    • Correct USB port number must be entered in the field "Anschluss"
    • Connection and controller can be determined and checked via "?" or fill it manual per hand

  • AVR Dragon:
    • LIB-USB-driver must be installed
    • AVR Dragon must be connected
    • Power supply of the target hardware must be on
    • Correct USB port number must be entered in the field "Anschluss"
    • Connection and controller can be determined and checked via "?" or fill it manuel per hand

to the index

Output

Please, click on the next index card "Ausgabe". The activities will be logged in the window. Among other information the number of the transfused bytes and the lenght of time of the activity will be shown. State and result of the activity will be shown through signal colors and outputs.

Signal colors:

  • light gray background: no activity, waiting state
  • light yellow background: activity is executed at the moment
  • light red background: activity wasn't executed successfully, error
  • light green background: activity was executed successfully

to the index

Integration in the AVR studio

  • Start the AVR Studio (standard call: Start/Programme/Atmel AVR Tools/AVR Studio).)
  • Choose the menu item Customize... from the menu Tools in the open AVR Studio.
  • Change to the page "Tools" in the following dialogue box.
  • Create a menu entry by clicking on the symbol New. Name the new entry (e.g. myAVR ProgTool).
  • Now search the myAVR ProgTool (file name: myAVR_ProgTool.exe) via click on the button ... behind the field "Command:". The file must be located local on your PC.
  • When in the field "Command:" is the correct path to the myAVR Progtool then you can push the button Close.
  • Afterwards you will find the new menu entry which starts the myAVR ProgTool in the menu Tools.
  • To extend the toolbar of the AVR Studio by the myAVR ProgTool you have to choose in the menu Tools the menu item Customize....
  • Stay in the dialogue "Customize" on the page "Commands". Choose Tools in the left category part and then myAVR ProgTool in the right command part.
  • Drag the entry for the myAVR ProgTool via Drag & Drop from the dialogue box to the required place in the toolbar.
  • Finish the dialogue box through clicking the button "Close".
  • Now you can also start the myAVR ProgTool from the toolbar.

You will find a detailed guidance to integrate the myAVR ProgTool in the AVR Studio in the download of www.myAVR.de.

to the index

Problem handling

  • Generally:
    • Check if all cables are correct connected.
    • Check if the power supply of the target system is enough.
    • If you have a USB connection then detach (for 20 seconds) the connection to make a reinitialization of the USB driver.
  • mySmartUSB MK3 doesn't work:
    • USB-driver (CP210x) is not installed -> install the driver
  • mySmartUSB MK2 doesn't work:
    • USB-driver (CP210x) is not installed -> install the driver
    • mySmartUSB MK2 in the data mode -> switch in the programming mode (DIP)
  • MK1 LPT-Board doesn't work:
    • Wrong LPT cable -> use the standard LPT extension (25 pole 1:1)
    • The power of the board is to low (no external power supply) -> check the external power supply
    • giveio.sys is not installed or you don't have the administrator rights to install that -> repeat the activity with administrator rights
  • myAVR Bootloader doesn't work:
    • USB-driver (CP210x) is not installed -> install the driver
    • No bootloader exists -> install the bootloader
  • STK 500 doesn't work:
    • COM-cable is connected at RS232SPARE -> connect the COM cable at RS232CTRL
    • The ISP pin is not correct connected, pay attention to the color code on the board -> connect the ISP pin with the correct color code
    • The wrong CLOCK option is choosen on the board -> check if Jumper XTAL1, OSCSEL, CRYSTAL
  • AVR ISP mk-II doesn't work:
    • LIB-USB-driver is not installed -> install the driver
    • Jungo-USB-driver is installed and blocks the LIB-USB-driver -> uninstall the Jungo-USB-driver
    • The power supply of the target system is not ok -> check the power supply
  • AVR Dragon doesn't work:
    • LIB-USB-driver is not installed -> install the driver
    • The Jungo-USB-driver is installed and blocks the LIB-USB-driver -> uninstall the Jungo-USB-driver
    • The power supply of the target system is not ok -> check the power supply

You will find the actually drivers and installation guidance for the mySmartUSB MK2, the mySmartControl as well as the LIB-USB-driver in the download of www.myAVR.de.

to the index

Version

myAVR ProgTool Build

You will find the actually version of the myAVR ProgTool under www.myAVR.de/download/

to the index

Contact

Laser & Co. Solutions GmbH
Promenadenring 8,
02708 Löbau
Germany

Tel.:
Fax:
Email:

Web: 		+49 3585 470 222
+49 3585 470 233
support@myAVR.de
www.myAVR.de

to the index